PICO kennenlernen: Entdecke die Oberfläche in der Produkttour oder beginne mit dem Schnellstart.

Eigene Domains

GET https://pico-analytics.com/api/domains/available
curl --request GET \
--url 'https://pico-analytics.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
search Optional Zeichenfolge Der Suchtext.
search_by Optional Zeichenfolge Das Feld, in dem gesucht wird. Erlaubte Werte: host.
datetime_field Optional Zeichenfolge Erlaubte Werte: datetime, last_datetime
datetime_start Optional Zeichenfolge Ergebnisse ab diesem Zeitpunkt filtern. Format: Y-m-d H:i:s.
datetime_end Optional Zeichenfolge Ergebnisse bis zu diesem Zeitpunkt filtern. Format: Y-m-d H:i:s.
order_by Optional Zeichenfolge Das Feld, nach dem die Ergebnisse sortiert werden. Erlaubte Werte: domain_id, datetime, last_datetime, host.
order_type Optional Zeichenfolge Die Sortierreihenfolge der Ergebnisse. Erlaubte Werte: ASC für aufsteigend und DESC für absteigend.
page Optional Ganzzahl Die Seitenzahl, für die du Ergebnisse abrufen möchtest. Standardmäßig 1.
results_per_page Optional Ganzzahl Anzahl der Ergebnisse pro Seite. Erlaubte Werte: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "type": 0,
            "scheme": "https://",
            "host": "example.com",
            "url": "https://example.com/",
            "custom_index_url": "",
            "custom_not_found_url": "",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-11-19 22:33:31"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://pico-analytics.com/api/domains/available?page=1",
        "last": "https://pico-analytics.com/api/domains/available?page=1",
        "next": null,
        "prev": null,
        "self": "https://pico-analytics.com/api/domains/available?page=1"
    }
}
GET https://pico-analytics.com/api/domains/
curl --request GET \
--url 'https://pico-analytics.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
search Optional Zeichenfolge Der Suchtext.
search_by Optional Zeichenfolge Das Feld, in dem gesucht wird. Erlaubte Werte: host.
is_enabled Optional Boolescher Wert
datetime_field Optional Zeichenfolge Erlaubte Werte: datetime, last_datetime
datetime_start Optional Zeichenfolge Ergebnisse ab diesem Zeitpunkt filtern. Format: Y-m-d H:i:s.
datetime_end Optional Zeichenfolge Ergebnisse bis zu diesem Zeitpunkt filtern. Format: Y-m-d H:i:s.
order_by Optional Zeichenfolge Das Feld, nach dem die Ergebnisse sortiert werden. Erlaubte Werte: domain_id, datetime, last_datetime, host.
order_type Optional Zeichenfolge Die Sortierreihenfolge der Ergebnisse. Erlaubte Werte: ASC für aufsteigend und DESC für absteigend.
page Optional Ganzzahl Die Seitenzahl, für die du Ergebnisse abrufen möchtest. Standardmäßig 1.
results_per_page Optional Ganzzahl Anzahl der Ergebnisse pro Seite. Erlaubte Werte: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "scheme": "https://",
            "host": "example.com",
            "custom_index_url": "",
            "custom_not_found_url": "",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-11-19 22:33:31"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://pico-analytics.com/api/domains?page=1",
        "last": "https://pico-analytics.com/api/domains?page=1",
        "next": null,
        "prev": null,
        "self": "https://pico-analytics.com/api/domains?page=1"
    }
}
GET https://pico-analytics.com/api/domains/{domain_id}
curl --request GET \
--url 'https://pico-analytics.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "scheme": "https://",
        "host": "example.com",
        "custom_index_url": "",
        "custom_not_found_url": "",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-11-19 22:33:31"
    }
}
POST https://pico-analytics.com/api/domains
Parameter Details Beschreibung
scheme Optional Zeichenfolge Erlaubte Werte: http://, https://
host Erforderlich Zeichenfolge -
custom_index_url Optional Zeichenfolge -
custom_not_found_url Optional Zeichenfolge -
curl --request POST \
--url 'https://pico-analytics.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'scheme=https://' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "scheme": "https://",
        "host": "example.com",
        "custom_index_url": "https://example.com/",
        "custom_not_found_url": "https://example.com/404-page",
        "is_enabled": false,
        "last_datetime": null,
        "datetime": "2026-11-19 22:33:31"
    }
}
POST https://pico-analytics.com/api/domains/{domain_id}
Parameter Details Beschreibung
scheme Optional Zeichenfolge Erlaubte Werte: http://, https://
host Optional Zeichenfolge -
custom_index_url Optional Zeichenfolge -
custom_not_found_url Optional Zeichenfolge -
curl --request POST \
--url 'https://pico-analytics.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'scheme=https://' \
--form 'host=example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "scheme": "https://",
        "host": "example.com",
        "custom_index_url": "https://example.com/",
        "custom_not_found_url": "https://example.com/404-page",
        "is_enabled": true,
        "last_datetime": "2026-11-19 22:33:31",
        "datetime": "2026-11-19 22:33:31"
    }
}
DELETE https://pico-analytics.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://pico-analytics.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \